import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { CarreraController } from './carrera.controller';
import { CarreraService } from './carrera.service';
import { Carrera } from './entity/carrera.entity';
import { InstitucionModule } from '../institucion/institucion.module';

@Module({
  imports: [InstitucionModule, TypeOrmModule.forFeature([Carrera])],
  controllers: [CarreraController],
  providers: [CarreraService],
  exports: [CarreraService],
})
export class CarreraModule {}
